<?php

namespace FM\Controller;

use Zeedhi\Framework\DTO\Request;
use FM\Service\SolicitacaoService;
use FM\Traits\TResponse;

class SolicitacaoController
{

    use TResponse;
    protected $SolicitacaoService;

    public function __construct(SolicitacaoService $SolicitacaoService)
    {
        $this->SolicitacaoService = $SolicitacaoService;
    }

    public function getLocal()
    {
        try {
            $data = $this->SolicitacaoService->getLocal();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getSolicitacoes(Request $request)
    {
        try {
            $data = $this->SolicitacaoService->getSolicitacoes($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function criarSolicitacao(Request $request)
    {
        try {
            $data = $this->SolicitacaoService->criarSolicitacao($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function avaliarSolicitacao(Request $request)
    {
        try {
            $data = $this->SolicitacaoService->avaliarSolicitacao($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getFotosSolicitacao(Request $request)
    {
        try {
            $data = $this->SolicitacaoService->getFotosSolicitacao($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getAvaliacao(Request $request)
    {
        try {
            $data = $this->SolicitacaoService->getAvaliacao($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
