import { ITekConfig } from '@zeedhi/teknisa-components-common';
import prodEnvironment from './prodEnvironment.json';
import devEnvironment from './devEnvironment.json';

const env = process.env.NODE_ENV === 'production' ? prodEnvironment : devEnvironment;

const config: ITekConfig = {
  endPoint: env.endPoint,
  metadataEndPoint: env.metadataEndPoint,
  saveGridLayoutsEndPoint: env.saveGridLayoutsEndPoint,
  loadGridLayoutsEndPoint: env.loadGridLayoutsEndPoint,
  env: {
    product: env.product,
    baseUrl: env.baseUrl,
  },
};

export default config;
