import { ZdPage } from '@zeedhi/vue';
import { ZdFramePage } from '@zeedhi/vuetify';

const routes = [
  {
    path: '/auth/login',
    name: 'login',
    component: ZdPage,
    props: {
      path: 'login',
      local: true,
    },
  },
  {
    path: '/',
    name: 'home',
    component: ZdPage,
    props: () => ({
      path: 'home',
      local: true,
    }),
  },
  {
    path: '/modules/:module/:page',
    name: 'microservice',
    component: () => import('../views/Microservice.vue'),
  },
  {
    path: '/fm_solicitacoes',
    name: 'fm_solicitacoes',
    component: ZdFramePage,
    props: {
      type: 'post',
      params: {
        jsonPath: 'fm_solicitacoes/fm_00020_000_solicitacoes',
        routePath: '/fm_00020_000_solicitacoes',
      },
    },
  },
  {
    path: '*',
    component: ZdPage,
    props: {
      path: 'notfound',
      local: true,
    },
  },
];

export default routes;
